<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Customer.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.model</a> &gt; <span class="el_source">Customer.java</span></div><h1>Customer.java</h1><pre class="source lang-java linenums">package com.softwaretesting.testing.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;

import java.util.Objects;

@Entity
@Table(name = &quot;CUSTOMER&quot;)
@JsonIgnoreProperties(allowGetters = true)
public class Customer {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = &quot;ID&quot;, updatable = false, nullable = false)
    private Long id;

    @NotBlank
    @Column(name = &quot;USER_NAME&quot;, nullable = false)
    private String userName;

    @NotBlank
    @Column(name = &quot;NAME&quot;, nullable = false)
    private String name;

    @NotBlank
    @Column(name = &quot;PHONE_NUMBER&quot;, nullable = false, unique = true)
    private String phoneNumber;

<span class="nc" id="L32">    public Customer(Long id, String userName, String name, String phoneNumber) {</span>
<span class="nc" id="L33">        this.id = id;</span>
<span class="nc" id="L34">        this.userName = userName;</span>
<span class="nc" id="L35">        this.name = name;</span>
<span class="nc" id="L36">        this.phoneNumber = phoneNumber;</span>
<span class="nc" id="L37">    }</span>

<span class="fc" id="L39">    public Customer() {</span>
<span class="fc" id="L40">    }</span>

    public Long getId() {
<span class="fc" id="L43">        return id;</span>
    }

    public void setId(Long id) {
<span class="nc" id="L47">        this.id = id;</span>
<span class="nc" id="L48">    }</span>

<span class="fc" id="L50">    public String getUserName() {return userName;}</span>

<span class="fc" id="L52">    public void setUserName(String userName) {this.userName = userName;}</span>

    public String getName() {
<span class="fc" id="L55">        return name;</span>
    }

    public void setName(String name) {
<span class="fc" id="L59">        this.name = name;</span>
<span class="fc" id="L60">    }</span>

    public String getPhoneNumber() {
<span class="fc" id="L63">        return phoneNumber;</span>
    }

    public void setPhoneNumber(String phoneNumber) {
<span class="fc" id="L67">        this.phoneNumber = phoneNumber;</span>
<span class="fc" id="L68">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L72" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L73" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L74">        Customer customer = (Customer) o;</span>
<span class="nc bnc" id="L75" title="All 8 branches missed.">        return id.equals(customer.id) &amp;&amp; userName.equals(customer.userName) &amp;&amp; name.equals(customer.name) &amp;&amp; phoneNumber.equals(customer.phoneNumber);</span>
    }

    @Override
    public int hashCode() {
<span class="nc" id="L80">        return Objects.hash(id, userName, name, phoneNumber);</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L85">        return &quot;Customer{&quot; +</span>
                &quot;id=&quot; + id +
                &quot;, userName='&quot; + userName + '\'' +
                &quot;, name='&quot; + name + '\'' +
                &quot;, phoneNumber='&quot; + phoneNumber + '\'' +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>